Bug 544540 - Review Request: genesis - Graphical frontend to SyncEvolution
Review Request: genesis - Graphical frontend to SyncEvolution
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-05 05:16 EST by Andrea Musuruane
Modified: 2009-12-17 23:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-08 07:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dmaphy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrea Musuruane 2009-12-05 05:16:05 EST
Spec URL: http://musuruan.fedorapeople.org/genesis.spec
SRPM URL: http://musuruan.fedorapeople.org/genesis-0.4.2.1-1.fc12.src.rpm
Description:
Genesis is a graphical frontend for SyncEvolution written in PyGTK. It makes 
SyncEvolution accessible without having to use a command line and provides 
graphical feedback of transaction results.
Notes:
Bug #533106 prevents genesis to run correctly. Please use the workaround described there to test genesis.
Comment 1 Dominic Hopf 2009-12-05 09:38:59 EST
$ rpmlint genesis.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint genesis-0.4.2.1-1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint genesis-0.4.2.1-1.fc12.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Specfile name matches %{name}.spec
 [x] Package seems to meet Packaging Guidelines
 [-] Package successfully compiles and builds into binary RPMs on at least one
     supported architecture.
     This is a noarch package.
 [x] Rpmlint output:
     source RPM: empty
     binary RPM: empty
 [x] Package is not relocatable.
 [x] License in specfile matches actual License and meets Licensing Guidelines
     License: GPLv2+ and GPLv3, results in GPLv3
 [-] License file is included in %doc.
     There is no specific license file, the license text is included "hard coded"
     in the about dialogue
 [x] Specfile is legible and written in AE
 [x] Sourcefile in the Package is the same as provided in the mentioned Source
     SHA1SUM of Source: d9e4b3218ee8a1390ded665905a095146c647aab
 [x] Package compiles successfully
 [x] All build dependencies are listed in BuildRequires
 [x] Specfile handles locales properly
 [-] ldconfig called in %post and %postun if required
 [x] Package owns directorys it creates
 [x] Package requires other packages for directories it uses.
 [x] Package does not list a file more than once in the %files listing
 [x] %files section includes %defattr and permissions are set properly
 [x] %clean section is there and contains rm -rf $RPM_BUILD_ROOT
 [!] Macros are consistently used
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage
 [x] Program runs properly without files listed in %doc
 [-] Header files are in a -devel package
 [-] Static libraries are in a -static package
 [-] Package requires pkgconfig if .pc files are present
 [-] .so-files are put into a -devel subpackage
 [-] Subpackages include fully versioned dependency for the base package
 [-] Any libtool archives (*.la) are removed
 [x] contains desktop file (%{name}.desktop) if it is a GUI application
 [x] Package does not own files or directories owned by other packages.
 [x] $RPM_BUILD_ROOT is removed at beginning of %install
 [-] Filenames are encoded in UTF-8

=== SUGGESTED ITEMS ===
 [x] Package contains latest upstream version
 [x] Package does not include license text files separate from upstream.
 [-] non-English translations for description and summary
 [x] Package builds in mock
     Tested on: F12/x86_64
 [x] Package should compile and build into binary RPMs on all supported architectures.
     tested build with koji
 [x] Program runs
 [-] Scriptlets must be sane, if used.
 [-] pkgconfig (*.pc) files are placed in a -devel package
 [-] require package providing a file instead of the file itself
     no files outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin are required

Issues found:
 * You're using $RPM_BUILD_ROOT in line 51 and line 67, but %{buildroot} in
   line 60 and 61. This affects required consistency of used macros.
 * The program is translated into several languages, it would be nice if there
   also would be Summarys and descriptions for those languages provided by the
   program

Once the macro-consistency issue is fixed I will approve this package. Everything
else looks good. Very nice work Andrea!
Comment 2 Andrea Musuruane 2009-12-05 10:51:57 EST
(In reply to comment #1)

Thanks for your review Dominic!

> Issues found:
>  * You're using $RPM_BUILD_ROOT in line 51 and line 67, but %{buildroot} in
>    line 60 and 61. This affects required consistency of used macros.

I updated the SPEC file accordingly.

>  * The program is translated into several languages, it would be nice if there
>    also would be Summarys and descriptions for those languages provided by the
>    program

Unluckily I have no ways to provide a translation for such fields in the SPEC file because upstream do not provide them and I'm not a polyglot.

Anyway I added the Italian translations for Summary and Description. Of course other languages are welcome :)
 
> Once the macro-consistency issue is fixed I will approve this package.
> Everything
> else looks good. Very nice work Andrea!  

Thanks!

http://musuruan.fedorapeople.org/genesis.spec
http://musuruan.fedorapeople.org/genesis-0.4.2.1-2.fc12.src.rpm

Changelog:
- More consistent macro usage
- Added Italian summary and description
Comment 3 Dominic Hopf 2009-12-05 11:25:31 EST
(In reply to comment #2)
> (In reply to comment #1)
> 
> Thanks for your review Dominic!
> 
> > Issues found:
> >  * You're using $RPM_BUILD_ROOT in line 51 and line 67, but %{buildroot} in
> >    line 60 and 61. This affects required consistency of used macros.
> 
> I updated the SPEC file accordingly.
Looks good now, thanks.

> >  * The program is translated into several languages, it would be nice if there
> >    also would be Summarys and descriptions for those languages provided by the
> >    program
> 
> Unluckily I have no ways to provide a translation for such fields in the SPEC
> file because upstream do not provide them and I'm not a polyglot.
That's why I wrote "would be nice" ;)

> Anyway I added the Italian translations for Summary and Description. Of course
> other languages are welcome :)
You can also add a German translation if you want:
Summary(de): Grafisches Frontend für SyncEvolution
%description -l de
Genesis ist ein grafisches Frontend für SyncEvolution welches in PyGTK geschrieben ist.
Es macht einen Zugriff auf SyncEvolution möglich, ohne die Kommandozeile nutzen zu
müssen und gibt grafisch Rückmeldung über Transaktionen.

(Sorry I didn't provide this translation a bit earlier)
 
> > Once the macro-consistency issue is fixed I will approve this package.
> > Everything else looks good. Very nice work Andrea!  
> 
> Thanks!
> 
> http://musuruan.fedorapeople.org/genesis.spec
> http://musuruan.fedorapeople.org/genesis-0.4.2.1-2.fc12.src.rpm
> 
> Changelog:
> - More consistent macro usage
> - Added Italian summary and description  

The package is APPROVED.
Comment 4 Andrea Musuruane 2009-12-06 05:02:19 EST
New Package CVS Request
=======================
Package Name: genesis
Short Description: Graphical frontend to SyncEvolution
Owners: musuruan
Branches: F-12 devel
InitialCC:
Comment 5 Kevin Fenzi 2009-12-06 18:20:00 EST
cvs done.
Comment 6 Fedora Update System 2009-12-08 07:49:25 EST
genesis-0.4.2.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/genesis-0.4.2.1-3.fc12
Comment 7 Andrea Musuruane 2009-12-08 07:51:22 EST
Built. Closing.
Comment 8 Fedora Update System 2009-12-17 23:44:57 EST
genesis-0.4.2.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.